<template>
  <div class="login-box">
    <h1>login</h1>
    <form>
      <!-- Username Field -->
      <label for="email">E-Mail:</label>
      <input type="text" id="email" name="email" required /><br /><br />

      <!-- Password Field -->
      <label for="password">Password:</label>
      <input
        type="password"
        id="password"
        name="password"
        required
      /><br /><br />

      <!-- Submit Button -->
      <input type="button" value="Login" @click="validateLogin" />
    </form>
  </div>
</template>
  
  <script>
export default {
  name: "TheLoginBox",

  computed: {
    isAuthenticated() {
      console.log(this.$store.getters.isAuthenticated);
      return this.$store.getters.isAuthenticated;
    },
  },

  data() {
    return {};
  },

  mounted() {},

  methods: {
    validateLogin() {
      // Get the username and password from the form
      let email = document.getElementById("email").value;
      let password = document.getElementById("password").value;
      let credentials = { email: email, password: password };

      this.$store
        .dispatch("login", credentials)
        .then((message) => {
          console.log(message);
          this.$router.push("/dashboard");
        }, error => {
          console.log(error);
        })
        .catch((error) => {
          console.error(error);
        });  // two error logs?

      // send the username and password to the server
    },
  },
};
</script>
  